> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.galleon8.com/api-reference/advanced-api/api-endpoints/nft-api/ankr-get-nf-ts-by-owner/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.galleon8.com/_mcp/server. # ankr_getNFTsByOwner POST https://advanced-api-docs-proxy.galleon8.workers.dev Content-Type: application/json Retrieves a list of NFTs (ERC721/ERC1155/ENS/POAP) that belong to the specified account. Reference: https://docs.galleon8.com/api-reference/advanced-api/api-endpoints/nft-api/ankr-get-nf-ts-by-owner ## Request ### Body (application/json) This endpoint expects an object. - `walletAddress` (string, required) — Address to query for NFTs. Supports ENS. - `blockchain` (BlockchainSelector, optional) — Name of the blockchain or list of blockchain names. Single: eth. Multiple: [arbitrum, avalanche, avalanche_fuji, bsc, eth, eth_goerli, fantom, optimism, polygon, polygon_mumbai, syscoin]. All chains: empty value. - `filter` (list of map from string to list of string, optional) — Filtering. Contract address (retrieves all NFTs by the address) or contract address plus NFT ID (retrieves only that NFT). key-value. - `pageSize` (integer, optional) — Number of entries per page. Max value — 50, default value — 10. - `pageToken` (string, optional) — Current page token for pagination. ## Response ### 200 Result returned by ankr_getNFTsByOwner. - `assets` (list of AnkrGetNfTsByOwnerResultAssetsItems, required, nullable) - `owner` (string, required) — Wallet address. Supports ENS. - `nextPageToken` (string, optional) — Next page token for pagination. ## Types ### BlockchainSelector A single blockchain identifier or an array of blockchain identifiers. ### AnkrGetNfTsByOwnerResultAssetsItems - `blockchain` (enum, optional) — Supported blockchain identifier. - Allowed values: `arbitrum`, `avalanche`, `avalanche_fuji`, `bsc`, `eth`, `eth_goerli`, `fantom`, `optimism`, `polygon`, `polygon_mumbai`, `polygon_zkevm`, `syscoin` - `collectionName` (string, optional) — Name of the collection the NFT belongs to. - `contractAddress` (string, optional) — Blockchain address, ENS name, or contract address where supported. - `contractType` (enum, optional) - Allowed values: `ERC721`, `ERC1155` - `imageUrl` (string, optional) — URL to the thumbnails of the NFT. Usually, an IPFS link. - `name` (string, optional) — Name of the NFT. - `quantity` (string, optional) — Quantity of NFTs at the contract. Depends on the contract type. - `symbol` (string, optional) — Symbol of the collection the NFT belongs to. - `tokenId` (string, optional) — Token ID of the NFT. Created by the contract when minting it. - `tokenUrl` (string, optional) — URL to the page with NFT details. - `traits` (list of AnkrGetNfTsByOwnerResultAssetsItemsTraitsItems, optional) — Array of pre-defined NFT traits: trait types and their values. ### AnkrGetNfTsByOwnerResultAssetsItemsTraitsItems - `trait_type` (string, optional) — Specific trait type (e.g., eye color). - `value` (string, optional) — Specific trait value (e.g., blue). ## Examples ### ankr_getNFTsByOwner_by_ens_address **Request** ```json [ "vitalik.eth" ] ``` **Response** ```json { "jsonrpc": "2.0", "id": "1", "result": { "assets": [ { "blockchain": "eth", "collectionName": "Cool Oliens", "contractAddress": "0x03a1e037df88001bf867e3bcffa7e48bab0cf5a6", "contractType": "ERC721", "imageUrl": "https://ipfs.io/ipfs/QmTzuLQSn78keGt3n36b3tNNs7B3WMjo2SNJUF9rRshPjA/116.png", "name": "Cool Oliens #117", "symbol": "COOLIEN", "tokenId": "116", "tokenUrl": "https://ipfs.io/ipfs/QmdT4pLoe5w93rCnESnaEXBU7PaAiSSWuDDXurLhmzVvAz/116", "traits": [ { "trait_type": "NFT ID", "value": "117 " }, { "trait_type": "Rank", "value": "199 " } ] } ], "nextPageToken": "2hMDmwWDCKfaN8VPERnkckY4JWbRyDurn8LyreDRZbyprWUErKSC6AoGbKerumFnyG1SAkWHxs", "owner": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045" } } ``` **SDK Code** ```python ankr_getNFTsByOwner_by_ens_address import requests url = "https://advanced-api-docs-proxy.galleon8.workers.dev/" payload = ["vitalik.eth"] headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript ankr_getNFTsByOwner_by_ens_address const url = 'https://advanced-api-docs-proxy.galleon8.workers.dev/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '["vitalik.eth"]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go ankr_getNFTsByOwner_by_ens_address package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://advanced-api-docs-proxy.galleon8.workers.dev/" payload := strings.NewReader("[\n \"vitalik.eth\"\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby ankr_getNFTsByOwner_by_ens_address require 'uri' require 'net/http' url = URI("https://advanced-api-docs-proxy.galleon8.workers.dev/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "[\n \"vitalik.eth\"\n]" response = http.request(request) puts response.read_body ``` ```java ankr_getNFTsByOwner_by_ens_address import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://advanced-api-docs-proxy.galleon8.workers.dev/") .header("Content-Type", "application/json") .body("[\n \"vitalik.eth\"\n]") .asString(); ``` ```php ankr_getNFTsByOwner_by_ens_address request('POST', 'https://advanced-api-docs-proxy.galleon8.workers.dev/', [ 'body' => '[ "vitalik.eth" ]', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp ankr_getNFTsByOwner_by_ens_address using RestSharp; var client = new RestClient("https://advanced-api-docs-proxy.galleon8.workers.dev/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n \"vitalik.eth\"\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift ankr_getNFTsByOwner_by_ens_address import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["vitalik.eth"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://advanced-api-docs-proxy.galleon8.workers.dev/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### ankr_getNFTsByOwner_with_filter **Request** ```json [ "0x0E11A192d574b342C51be9e306694C41547185DD", [ "eth" ], [ { "0x700b4b9f39bb1faf5d0d16a20488f2733550bff4": [] }, { "0xd8682bfa6918b0174f287b888e765b9a1b4dc9c3": [ "8937" ] } ], 1, "" ] ``` **SDK Code** ```python ankr_getNFTsByOwner_with_filter import requests url = "https://advanced-api-docs-proxy.galleon8.workers.dev/" payload = ["0x0E11A192d574b342C51be9e306694C41547185DD", ["eth"], [{ "0x700b4b9f39bb1faf5d0d16a20488f2733550bff4": [] }, { "0xd8682bfa6918b0174f287b888e765b9a1b4dc9c3": ["8937"] }], 1, ""] headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript ankr_getNFTsByOwner_with_filter const url = 'https://advanced-api-docs-proxy.galleon8.workers.dev/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '["0x0E11A192d574b342C51be9e306694C41547185DD",["eth"],[{"0x700b4b9f39bb1faf5d0d16a20488f2733550bff4":[]},{"0xd8682bfa6918b0174f287b888e765b9a1b4dc9c3":["8937"]}],1,""]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go ankr_getNFTsByOwner_with_filter package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://advanced-api-docs-proxy.galleon8.workers.dev/" payload := strings.NewReader("[\n \"0x0E11A192d574b342C51be9e306694C41547185DD\",\n [\n \"eth\"\n ],\n [\n {\n \"0x700b4b9f39bb1faf5d0d16a20488f2733550bff4\": []\n },\n {\n \"0xd8682bfa6918b0174f287b888e765b9a1b4dc9c3\": [\n \"8937\"\n ]\n }\n ],\n 1,\n \"\"\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby ankr_getNFTsByOwner_with_filter require 'uri' require 'net/http' url = URI("https://advanced-api-docs-proxy.galleon8.workers.dev/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "[\n \"0x0E11A192d574b342C51be9e306694C41547185DD\",\n [\n \"eth\"\n ],\n [\n {\n \"0x700b4b9f39bb1faf5d0d16a20488f2733550bff4\": []\n },\n {\n \"0xd8682bfa6918b0174f287b888e765b9a1b4dc9c3\": [\n \"8937\"\n ]\n }\n ],\n 1,\n \"\"\n]" response = http.request(request) puts response.read_body ``` ```java ankr_getNFTsByOwner_with_filter import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://advanced-api-docs-proxy.galleon8.workers.dev/") .header("Content-Type", "application/json") .body("[\n \"0x0E11A192d574b342C51be9e306694C41547185DD\",\n [\n \"eth\"\n ],\n [\n {\n \"0x700b4b9f39bb1faf5d0d16a20488f2733550bff4\": []\n },\n {\n \"0xd8682bfa6918b0174f287b888e765b9a1b4dc9c3\": [\n \"8937\"\n ]\n }\n ],\n 1,\n \"\"\n]") .asString(); ``` ```php ankr_getNFTsByOwner_with_filter request('POST', 'https://advanced-api-docs-proxy.galleon8.workers.dev/', [ 'body' => '[ "0x0E11A192d574b342C51be9e306694C41547185DD", [ "eth" ], [ { "0x700b4b9f39bb1faf5d0d16a20488f2733550bff4": [] }, { "0xd8682bfa6918b0174f287b888e765b9a1b4dc9c3": [ "8937" ] } ], 1, "" ]', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp ankr_getNFTsByOwner_with_filter using RestSharp; var client = new RestClient("https://advanced-api-docs-proxy.galleon8.workers.dev/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n \"0x0E11A192d574b342C51be9e306694C41547185DD\",\n [\n \"eth\"\n ],\n [\n {\n \"0x700b4b9f39bb1faf5d0d16a20488f2733550bff4\": []\n },\n {\n \"0xd8682bfa6918b0174f287b888e765b9a1b4dc9c3\": [\n \"8937\"\n ]\n }\n ],\n 1,\n \"\"\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift ankr_getNFTsByOwner_with_filter import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["0x0E11A192d574b342C51be9e306694C41547185DD", ["eth"], [["0x700b4b9f39bb1faf5d0d16a20488f2733550bff4": []], ["0xd8682bfa6918b0174f287b888e765b9a1b4dc9c3": ["8937"]]], 1, ""] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://advanced-api-docs-proxy.galleon8.workers.dev/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```